tbb_thread.cpp File Reference
`#include <errno.h>`
`#include "tbb_misc.h"`
`#include "tbb/tbb_stddef.h"`
`#include "tbb/tbb_thread.h"`
`#include "tbb/tbb_allocator.h"`
`#include "tbb/global_control.h"`
`#include "governor.h"`
Include dependency graph for tbb_thread.cpp:

Go to the source code of this file.

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Functions

void *__TBB_EXPORTED_FUNC | tbb::internal::allocate_closure_v3 (size_t size)
| Allocate a closure. More...
void __TBB_EXPORTED_FUNC | tbb::internal::free_closure_v3 (void *)
| Free a closure allocated by allocate_closure_v3. More...
tbb_thread_v3::id __TBB_EXPORTED_FUNC | tbb::internal::thread_get_id_v3 ()
void __TBB_EXPORTED_FUNC | tbb::internal::move_v3 (tbb_thread_v3 &t1, tbb_thread_v3 &t2)
void __TBB_EXPORTED_FUNC | tbb::internal::thread_yield_v3 ()
void __TBB_EXPORTED_FUNC | tbb::internal::thread_sleep_v3 (const tick_count::interval_t &i)

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.